Update a content element

Prev Next
Put
/content/update

Updates an existing content store element's content and/or metadata by ID. Fields left out of the request body are left unchanged. The element's ID and any placeholder references pointing to it are never changed.

Query parameters
contentId
stringRequired

Content id

Body parameters
object
name
string
contentType
string
content
string
status
string
Valid values[ "ACCEPTED", "OPEN", "PROGRESS" ]
expirationDate
string
tags
Array of string
string
description
string
expirationAutomatic
boolean
Defaultfalse
Responses
200
object
contentId
string
name
string
description
string
contentType
string
content
string
status
string
Valid values[ "ACCEPTED", "OPEN", "PROGRESS" ]
expirationDate
string
expirationAutomatic
boolean
Defaultfalse
tags
Array of string
string
url
string
fileSize
integer (int64)
width
integer (int32)
height
integer (int32)
ownerEmail
string
authorEmail
string
creationDate
string
lastModificationDate
string
400